% m-file: driver_rotating_3d_globe_Manual_05_2D_elevation_maps
% Examples in the Manual: 5. Elevation 2D maps
% folder: private/fig05
%
% When using this driver or fuctions it calls, please cite the reference:
%  Bezdek A, Sebera J, 2013. MATLAB script for 3D visualizing geodata on a rotating globe.
%  Computers & geosciences 56, 127130. http://dx.doi.org/10.1016/j.cageo.2013.03.007

% Ales Bezdek, bezdek@asu.cas.cz, 1/2015
% 6/2016 update to new Matlab versions up to R2015a

%% Earth topography as 2D map
model='ETOPO2_010arcmin'; load (model);
[hc,htit,name_png]=elevation_2d_map(lond_etopo2,latd_etopo2,elev_etopo2_km,...
   'coastlines',1,...
   'units','km',...
   'graph_label',sprintf('Earth topography (%s)',model),...
   'clbr_limits',[-10 10],'clbr_tick',-10:2:10,...
   'cptcmap_pm','GMT_globe',...
   'preview_figure_visible',0,...
   'tn_width',200,...
   'window_height',650);
%% Earth topography as 2D map (centred on the Pacific)
model='ETOPO2_010arcmin'; load (model);
[hc,htit,name_png]=elevation_2d_map(lond_etopo2,latd_etopo2,elev_etopo2_km,...
   'map_center','Pacific',...
   'coastlines',1,...
   'units','km',...
   'graph_label',sprintf('Earth topography (%s)',model),...
   'clbr_limits',[-10 10],'clbr_tick',-10:2:10,...
   'cptcmap_pm','GMT_globe',...
   'preview_figure_visible',0,...
   'tn_width',200,...
   'window_height',650);


